Method: projects.locations.cloudVmClusters.delete

Deletes a single VM Cluster.

HTTP request


DELETE https://oracledatabase.googleapis.com/v1/{name=projects/*/locations/*/cloudVmClusters/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the Cloud VM Cluster in the following format: projects/{project}/locations/{location}/cloudVmClusters/{cloudVmCluster}.

Query parameters

Parameters
requestId

string

Optional. An optional ID to identify the request. This value is used to identify duplicate requests. If you make a request with the same request ID and the original request is still in progress or completed, the server ignores the second request. This prevents clients from accidentally creating duplicate commitments.

The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

force

boolean

Optional. If set to true, all child resources for the VM Cluster will be deleted. A VM Cluster can only be deleted once all its child resources have been deleted.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • oracledatabase.cloudVmClusters.delete

For more information, see the IAM documentation.